/** \file
	\brief Abstract data receiver interface
*/

#ifndef DataSinkH
#define DataSinkH

#include <vector>

/** \brief Abstract data receiver
*/
class DataSink
{
public:
	virtual ~DataSink() {};
	/** Called on device trigger
	*/
	virtual void Trigger(void);
	/** Process data frame (acquisition buffer or part of if) received from device
		\param data input data vector
		\param fDivX sampling period
	*/
	virtual void Process(const std::vector<float> &data, float fDivX);
};

#endif